Skip to main content
PATCH
Update a Keyphrase

Authorizations

X-API-Key
string
header
required

Supply the API Key in the HTTP-Header

Headers

Accept
enum<string>

The Accept header specifies the media type that the client expects in the response. Available options: application/json, application/hal+json, application/xml, text/xml, text/csv. The default value is application/json.

Available options:
application/json,
application/hal+json,
application/xml,
text/xml,
text/csv

Path Parameters

lexiconId
string
required

The unique identifier for the Lexicon.

Required string length: 24
Pattern: ^[a-z0-9]{24}$
keyphraseId
string
required

The unique identifier for the Keyphrase in the Lexicon.

Required string length: 24
Pattern: ^[a-z0-9]{24}$

Body

application/json
name
string

The name of the slot

Example:

"food"

isMainKeyphrase
boolean

Indicates if it is main

Example:

true

Response

Successfully updated Keyphrase.

Last modified on July 22, 2026